scala.swing

# Applet

#### abstract class Applet extends JApplet

Clients should implement the ui field. See the `SimpleApplet` demo for an example.

Note: `Applet` extends `javax.swing.JApplet` to satisfy Java's applet loading mechanism. The usual component wrapping scheme doesn't work here.

Self Type
  Applet
Source
  Applet.scala
See also

  javax.swing.JApplet

Linear Supertypes
JApplet, HasGetTransferHandler, RootPaneContainer, java.applet.Applet, java.awt.Panel, Accessible, java.awt.Container, java.awt.Component, java.io.Serializable, MenuContainer, ImageObserver, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Applet
2. JApplet
3. HasGetTransferHandler
4. RootPaneContainer
5. Applet
6. Panel
7. Accessible
8. Container
9. Component
10. Serializable
11. MenuContainer
12. ImageObserver
13. AnyRef
14. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Applet()

### Type Members

1. #### abstract class AccessibleAWTComponent extends AccessibleContext with java.io.Serializable with AccessibleComponent

   Attributes
     protected
   Definition Classes
     Component

2. #### class AccessibleAWTContainer extends AccessibleAWTComponent

   Attributes
     protected
   Definition Classes
     Container

3. #### class AccessibleAWTPanel extends AccessibleAWTContainer

   Attributes
     protected
   Definition Classes
     Panel

4. #### class AccessibleApplet extends AccessibleAWTPanel

   Attributes
     protected
   Definition Classes
     Applet

5. #### class AccessibleJApplet extends AccessibleApplet

   Attributes
     protected
   Definition Classes
     JApplet

6. #### class BltBufferStrategy extends BufferStrategy

   Attributes
     protected
   Definition Classes
     Component

7. #### class FlipBufferStrategy extends BufferStrategy

   Attributes
     protected
   Definition Classes
     Component

8. #### final class NativeInLightFixer extends ComponentListener with ContainerListener

   Attributes
     private[java.awt]
   Definition Classes
     Component

9. #### abstract class UI extends RootPanel

### Abstract Value Members

1. #### abstract val ui: UI

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Applet to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (Applet, B)

   Implicit information
     This member is added by an implicit conversion from Applet to ArrowAssoc[Applet] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### def add(arg0: java.awt.Component, arg1: Any, arg2: Int): Unit

   Definition Classes
     Container

9. #### def add(arg0: java.awt.Component, arg1: Any): Unit

   Definition Classes
     Container

10. #### def add(arg0: java.awt.Component, arg1: Int): java.awt.Component

    Definition Classes
      Container

11. #### def add(arg0: String, arg1: java.awt.Component): java.awt.Component

    Definition Classes
      Container

12. #### def add(arg0: java.awt.Component): java.awt.Component

    Definition Classes
      Container

13. #### def add(arg0: PopupMenu): Unit

    Definition Classes
      Component

14. #### def addComponentListener(arg0: ComponentListener): Unit

    Definition Classes
      Component

15. #### def addContainerListener(arg0: ContainerListener): Unit

    Definition Classes
      Container

16. #### def addFocusListener(arg0: FocusListener): Unit

    Definition Classes
      Component

17. #### def addHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

    Definition Classes
      Component

18. #### def addHierarchyListener(arg0: HierarchyListener): Unit

    Definition Classes
      Component

19. #### def addImpl(arg0: java.awt.Component, arg1: Any, arg2: Int): Unit

    Attributes
      protected[javax.swing]
    Definition Classes
      JApplet → Container

20. #### def addInputMethodListener(arg0: InputMethodListener): Unit

    Definition Classes
      Component

21. #### def addKeyListener(arg0: KeyListener): Unit

    Definition Classes
      Component

22. #### def addMouseListener(arg0: MouseListener): Unit

    Definition Classes
      Component

23. #### def addMouseMotionListener(arg0: MouseMotionListener): Unit

    Definition Classes
      Component

24. #### def addMouseWheelListener(arg0: MouseWheelListener): Unit

    Definition Classes
      Component

25. #### def addNotify(): Unit

    Definition Classes
      Panel → Container → Component

26. #### def addPropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

    Definition Classes
      Container → Component

27. #### def addPropertyChangeListener(arg0: PropertyChangeListener): Unit

    Definition Classes
      Container → Component

28. #### def applyComponentOrientation(arg0: ComponentOrientation): Unit

    Definition Classes
      Container → Component

29. #### def areFocusTraversalKeysSet(arg0: Int): Boolean

    Definition Classes
      Container → Component

30. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

31. #### def checkImage(arg0: java.awt.Image, arg1: Int, arg2: Int, arg3: ImageObserver): Int

    Definition Classes
      Component

32. #### def checkImage(arg0: java.awt.Image, arg1: ImageObserver): Int

    Definition Classes
      Component

33. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

34. #### def coalesceEvents(arg0: AWTEvent, arg1: AWTEvent): AWTEvent

    Attributes
      protected[java.awt]
    Definition Classes
      Component

35. #### def contains(arg0: java.awt.Point): Boolean

    Definition Classes
      Component

36. #### def contains(arg0: Int, arg1: Int): Boolean

    Definition Classes
      Component

37. #### def createImage(arg0: Int, arg1: Int): java.awt.Image

    Definition Classes
      Component

38. #### def createImage(arg0: ImageProducer): java.awt.Image

    Definition Classes
      Component

39. #### def createRootPane(): JRootPane

    Attributes
      protected[javax.swing]
    Definition Classes
      JApplet

40. #### def createVolatileImage(arg0: Int, arg1: Int, arg2: ImageCapabilities): VolatileImage

    Definition Classes
      Component
    Annotations
      @throws( classOf[java.awt.AWTException] )

41. #### def createVolatileImage(arg0: Int, arg1: Int): VolatileImage

    Definition Classes
      Component

42. #### def destroy(): Unit

    Definition Classes
      Applet

43. #### final def disableEvents(arg0: Long): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

44. #### final def dispatchEvent(arg0: AWTEvent): Unit

    Definition Classes
      Component

45. #### def doLayout(): Unit

    Definition Classes
      Container → Component

46. #### final def enableEvents(arg0: Long): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

47. #### def enableInputMethods(arg0: Boolean): Unit

    Definition Classes
      Component

48. #### def ensuring(cond: (Applet) ⇒ Boolean, msg: ⇒ Any): Applet

    Implicit information
      This member is added by an implicit conversion from Applet to Ensuring[Applet] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

49. #### def ensuring(cond: (Applet) ⇒ Boolean): Applet

    Implicit information
      This member is added by an implicit conversion from Applet to Ensuring[Applet] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

50. #### def ensuring(cond: Boolean, msg: ⇒ Any): Applet

    Implicit information
      This member is added by an implicit conversion from Applet to Ensuring[Applet] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

51. #### def ensuring(cond: Boolean): Applet

    Implicit information
      This member is added by an implicit conversion from Applet to Ensuring[Applet] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

52. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

53. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

54. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

55. #### def findComponentAt(arg0: java.awt.Point): java.awt.Component

    Definition Classes
      Container

56. #### def findComponentAt(arg0: Int, arg1: Int): java.awt.Component

    Definition Classes
      Container

57. #### def firePropertyChange(arg0: String, arg1: Double, arg2: Double): Unit

    Definition Classes
      Component

58. #### def firePropertyChange(arg0: String, arg1: Float, arg2: Float): Unit

    Definition Classes
      Component

59. #### def firePropertyChange(arg0: String, arg1: Long, arg2: Long): Unit

    Definition Classes
      Component

60. #### def firePropertyChange(arg0: String, arg1: Short, arg2: Short): Unit

    Definition Classes
      Component

61. #### def firePropertyChange(arg0: String, arg1: Char, arg2: Char): Unit

    Definition Classes
      Component

62. #### def firePropertyChange(arg0: String, arg1: Byte, arg2: Byte): Unit

    Definition Classes
      Component

63. #### def firePropertyChange(arg0: String, arg1: Int, arg2: Int): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

64. #### def firePropertyChange(arg0: String, arg1: Boolean, arg2: Boolean): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

65. #### def firePropertyChange(arg0: String, arg1: Any, arg2: Any): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

66. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Applet to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

67. #### def getAccessibleContext(): AccessibleContext

    Definition Classes
      JApplet → Applet → Panel → Accessible → Component

68. #### def getAlignmentX(): Float

    Definition Classes
      Container → Component

69. #### def getAlignmentY(): Float

    Definition Classes
      Container → Component

70. #### def getAppletContext(): AppletContext

    Definition Classes
      Applet

71. #### def getAppletInfo(): String

    Definition Classes
      Applet

72. #### def getAudioClip(arg0: URL, arg1: String): AudioClip

    Definition Classes
      Applet

73. #### def getAudioClip(arg0: URL): AudioClip

    Definition Classes
      Applet

74. #### def getBackground(): java.awt.Color

    Definition Classes
      Component

75. #### def getBaseline(arg0: Int, arg1: Int): Int

    Definition Classes
      Component

76. #### def getBaselineResizeBehavior(): BaselineResizeBehavior

    Definition Classes
      Component

77. #### def getBounds(arg0: java.awt.Rectangle): java.awt.Rectangle

    Definition Classes
      Component

78. #### def getBounds(): java.awt.Rectangle

    Definition Classes
      Component

79. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

80. #### def getCodeBase(): URL

    Definition Classes
      Applet

81. #### def getColorModel(): ColorModel

    Definition Classes
      Component

82. #### def getComponent(arg0: Int): java.awt.Component

    Definition Classes
      Container

83. #### def getComponentAt(arg0: java.awt.Point): java.awt.Component

    Definition Classes
      Container → Component

84. #### def getComponentAt(arg0: Int, arg1: Int): java.awt.Component

    Definition Classes
      Container → Component

85. #### def getComponentCount(): Int

    Definition Classes
      Container

86. #### def getComponentListeners(): Array[ComponentListener]

    Definition Classes
      Component

87. #### def getComponentOrientation(): ComponentOrientation

    Definition Classes
      Component

88. #### def getComponentZOrder(arg0: java.awt.Component): Int

    Definition Classes
      Container

89. #### def getComponents(): Array[java.awt.Component]

    Definition Classes
      Container

90. #### def getContainerListeners(): Array[ContainerListener]

    Definition Classes
      Container

91. #### def getContentPane(): java.awt.Container

    Definition Classes
      JApplet → RootPaneContainer

92. #### def getCursor(): Cursor

    Definition Classes
      Component

93. #### def getDocumentBase(): URL

    Definition Classes
      Applet

94. #### def getDropTarget(): DropTarget

    Definition Classes
      Component

95. #### def getFocusCycleRootAncestor(): java.awt.Container

    Definition Classes
      Component

96. #### def getFocusListeners(): Array[FocusListener]

    Definition Classes
      Component

97. #### def getFocusTraversalKeys(arg0: Int): Set[AWTKeyStroke]

    Definition Classes
      Container → Component

98. #### def getFocusTraversalKeysEnabled(): Boolean

    Definition Classes
      Component

99. #### def getFocusTraversalPolicy(): FocusTraversalPolicy

    Definition Classes
      Container

100. #### def getFont(): java.awt.Font

     Definition Classes
       Component → MenuContainer

101. #### def getFontMetrics(arg0: java.awt.Font): FontMetrics

     Definition Classes
       Component

102. #### def getForeground(): java.awt.Color

     Definition Classes
       Component

103. #### def getGlassPane(): java.awt.Component

     Definition Classes
       JApplet → RootPaneContainer

104. #### def getGraphics(): Graphics

     Definition Classes
       JApplet → Component

105. #### def getGraphicsConfiguration(): GraphicsConfiguration

     Definition Classes
       Component

106. #### def getHeight(): Int

     Definition Classes
       Component

107. #### def getHierarchyBoundsListeners(): Array[HierarchyBoundsListener]

     Definition Classes
       Component

108. #### def getHierarchyListeners(): Array[HierarchyListener]

     Definition Classes
       Component

109. #### def getIgnoreRepaint(): Boolean

     Definition Classes
       Component

110. #### def getImage(arg0: URL, arg1: String): java.awt.Image

     Definition Classes
       Applet

111. #### def getImage(arg0: URL): java.awt.Image

     Definition Classes
       Applet

112. #### def getInputContext(): InputContext

     Definition Classes
       Component

113. #### def getInputMethodListeners(): Array[InputMethodListener]

     Definition Classes
       Component

114. #### def getInputMethodRequests(): InputMethodRequests

     Definition Classes
       Component

115. #### def getInsets(): java.awt.Insets

     Definition Classes
       Container

116. #### def getJMenuBar(): JMenuBar

     Definition Classes
       JApplet

117. #### def getKeyListeners(): Array[KeyListener]

     Definition Classes
       Component

118. #### def getLayeredPane(): JLayeredPane

     Definition Classes
       JApplet → RootPaneContainer

119. #### def getLayout(): LayoutManager

     Definition Classes
       Container

120. #### def getListeners[T <: EventListener](arg0: Class[T]): Array[T]

     Definition Classes
       Container → Component

121. #### def getLocale(): Locale

     Definition Classes
       Applet → Component

122. #### def getLocation(arg0: java.awt.Point): java.awt.Point

     Definition Classes
       Component

123. #### def getLocation(): java.awt.Point

     Definition Classes
       Component

124. #### def getLocationOnScreen(): java.awt.Point

     Definition Classes
       Component

125. #### def getMaximumSize(): java.awt.Dimension

     Definition Classes
       Container → Component

126. #### def getMinimumSize(): java.awt.Dimension

     Definition Classes
       Container → Component

127. #### def getMouseListeners(): Array[MouseListener]

     Definition Classes
       Component

128. #### def getMouseMotionListeners(): Array[MouseMotionListener]

     Definition Classes
       Component

129. #### def getMousePosition(arg0: Boolean): java.awt.Point

     Definition Classes
       Container
     Annotations
       @throws( classOf[java.awt.HeadlessException] )

130. #### def getMousePosition(): java.awt.Point

     Definition Classes
       Component
     Annotations
       @throws( classOf[java.awt.HeadlessException] )

131. #### def getMouseWheelListeners(): Array[MouseWheelListener]

     Definition Classes
       Component

132. #### def getName(): String

     Definition Classes
       Component

133. #### def getParameter(arg0: String): String

     Definition Classes
       Applet

134. #### def getParameterInfo(): Array[Array[String]]

     Definition Classes
       Applet

135. #### def getParent(): java.awt.Container

     Definition Classes
       Component

136. #### def getPreferredSize(): java.awt.Dimension

     Definition Classes
       Container → Component

137. #### def getPropertyChangeListeners(arg0: String): Array[PropertyChangeListener]

     Definition Classes
       Component

138. #### def getPropertyChangeListeners(): Array[PropertyChangeListener]

     Definition Classes
       Component

139. #### def getRootPane(): JRootPane

     Definition Classes
       JApplet → RootPaneContainer

140. #### def getSize(arg0: java.awt.Dimension): java.awt.Dimension

     Definition Classes
       Component

141. #### def getSize(): java.awt.Dimension

     Definition Classes
       Component

142. #### def getToolkit(): Toolkit

     Definition Classes
       Component

143. #### def getTransferHandler(): TransferHandler

     Definition Classes
       JApplet → HasGetTransferHandler

144. #### final def getTreeLock(): AnyRef

     Definition Classes
       Component

145. #### def getWidth(): Int

     Definition Classes
       Component

146. #### def getX(): Int

     Definition Classes
       Component

147. #### def getY(): Int

     Definition Classes
       Component

148. #### def hasFocus(): Boolean

     Definition Classes
       Component

149. #### def hashCode(): Int

     The hashCode method for reference types.

     The hashCode method for reference types. See hashCode in scala.Any.

     returns

       the hash code value for this object.

     Definition Classes
       AnyRef → Any

150. #### def imageUpdate(arg0: java.awt.Image, arg1: Int, arg2: Int, arg3: Int, arg4: Int, arg5: Int): Boolean

     Definition Classes
       Component → ImageObserver

151. #### def init(): Unit

     Definition Classes
       Applet → Applet

152. #### def invalidate(): Unit

     Definition Classes
       Container → Component

153. #### def isActive(): Boolean

     Definition Classes
       Applet

154. #### def isAncestorOf(arg0: java.awt.Component): Boolean

     Definition Classes
       Container

155. #### def isBackgroundSet(): Boolean

     Definition Classes
       Component

156. #### def isCursorSet(): Boolean

     Definition Classes
       Component

157. #### def isDisplayable(): Boolean

     Definition Classes
       Component

158. #### def isDoubleBuffered(): Boolean

     Definition Classes
       Component

159. #### def isEnabled(): Boolean

     Definition Classes
       Component

160. #### def isFocusCycleRoot(): Boolean

     Definition Classes
       Container

161. #### def isFocusCycleRoot(arg0: java.awt.Container): Boolean

     Definition Classes
       Container → Component

162. #### def isFocusOwner(): Boolean

     Definition Classes
       Component

163. #### final def isFocusTraversalPolicyProvider(): Boolean

     Definition Classes
       Container

164. #### def isFocusTraversalPolicySet(): Boolean

     Definition Classes
       Container

165. #### def isFocusable(): Boolean

     Definition Classes
       Component

166. #### def isFontSet(): Boolean

     Definition Classes
       Component

167. #### def isForegroundSet(): Boolean

     Definition Classes
       Component

168. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

169. #### def isLightweight(): Boolean

     Definition Classes
       Component

170. #### def isMaximumSizeSet(): Boolean

     Definition Classes
       Component

171. #### def isMinimumSizeSet(): Boolean

     Definition Classes
       Component

172. #### def isOpaque(): Boolean

     Definition Classes
       Component

173. #### def isPreferredSizeSet(): Boolean

     Definition Classes
       Component

174. #### def isRootPaneCheckingEnabled(): Boolean

     Attributes
       protected[javax.swing]
     Definition Classes
       JApplet

175. #### def isShowing(): Boolean

     Definition Classes
       Component

176. #### def isValid(): Boolean

     Definition Classes
       Component

177. #### def isVisible(): Boolean

     Definition Classes
       Component

178. #### def list(arg0: PrintWriter, arg1: Int): Unit

     Definition Classes
       Container → Component

179. #### def list(arg0: PrintStream, arg1: Int): Unit

     Definition Classes
       Container → Component

180. #### def list(arg0: PrintWriter): Unit

     Definition Classes
       Component

181. #### def list(arg0: PrintStream): Unit

     Definition Classes
       Component

182. #### def list(): Unit

     Definition Classes
       Component

183. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

184. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

185. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

186. #### def paint(arg0: Graphics): Unit

     Definition Classes
       Container → Component

187. #### def paintAll(arg0: Graphics): Unit

     Definition Classes
       Component

188. #### def paintComponents(arg0: Graphics): Unit

     Definition Classes
       Container

189. #### def paramString(): String

     Attributes
       protected[javax.swing]
     Definition Classes
       JApplet → Container → Component

190. #### def play(arg0: URL, arg1: String): Unit

     Definition Classes
       Applet

191. #### def play(arg0: URL): Unit

     Definition Classes
       Applet

192. #### def prepareImage(arg0: java.awt.Image, arg1: Int, arg2: Int, arg3: ImageObserver): Boolean

     Definition Classes
       Component

193. #### def prepareImage(arg0: java.awt.Image, arg1: ImageObserver): Boolean

     Definition Classes
       Component

194. #### def print(arg0: Graphics): Unit

     Definition Classes
       Container → Component

195. #### def printAll(arg0: Graphics): Unit

     Definition Classes
       Component

196. #### def printComponents(arg0: Graphics): Unit

     Definition Classes
       Container

197. #### def processComponentEvent(arg0: ComponentEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

198. #### def processContainerEvent(arg0: ContainerEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container

199. #### def processEvent(arg0: AWTEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container → Component

200. #### def processFocusEvent(arg0: FocusEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

201. #### def processHierarchyBoundsEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

202. #### def processHierarchyEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

203. #### def processInputMethodEvent(arg0: InputMethodEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

204. #### def processKeyEvent(arg0: KeyEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

205. #### def processMouseEvent(arg0: MouseEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

206. #### def processMouseMotionEvent(arg0: MouseEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

207. #### def processMouseWheelEvent(arg0: MouseWheelEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

208. #### def remove(arg0: java.awt.Component): Unit

     Definition Classes
       JApplet → Container

209. #### def remove(arg0: Int): Unit

     Definition Classes
       Container

210. #### def remove(arg0: MenuComponent): Unit

     Definition Classes
       Component → MenuContainer

211. #### def removeAll(): Unit

     Definition Classes
       Container

212. #### def removeComponentListener(arg0: ComponentListener): Unit

     Definition Classes
       Component

213. #### def removeContainerListener(arg0: ContainerListener): Unit

     Definition Classes
       Container

214. #### def removeFocusListener(arg0: FocusListener): Unit

     Definition Classes
       Component

215. #### def removeHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

     Definition Classes
       Component

216. #### def removeHierarchyListener(arg0: HierarchyListener): Unit

     Definition Classes
       Component

217. #### def removeInputMethodListener(arg0: InputMethodListener): Unit

     Definition Classes
       Component

218. #### def removeKeyListener(arg0: KeyListener): Unit

     Definition Classes
       Component

219. #### def removeMouseListener(arg0: MouseListener): Unit

     Definition Classes
       Component

220. #### def removeMouseMotionListener(arg0: MouseMotionListener): Unit

     Definition Classes
       Component

221. #### def removeMouseWheelListener(arg0: MouseWheelListener): Unit

     Definition Classes
       Component

222. #### def removeNotify(): Unit

     Definition Classes
       Container → Component

223. #### def removePropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

     Definition Classes
       Component

224. #### def removePropertyChangeListener(arg0: PropertyChangeListener): Unit

     Definition Classes
       Component

225. #### def repaint(arg0: Long, arg1: Int, arg2: Int, arg3: Int, arg4: Int): Unit

     Definition Classes
       JApplet → Component

226. #### def repaint(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Component

227. #### def repaint(arg0: Long): Unit

     Definition Classes
       Component

228. #### def repaint(): Unit

     Definition Classes
       Component

229. #### def requestFocus(arg0: Boolean): Boolean

     Attributes
       protected[java.awt]
     Definition Classes
       Component

230. #### def requestFocus(): Unit

     Definition Classes
       Component

231. #### def requestFocusInWindow(arg0: Boolean): Boolean

     Attributes
       protected[java.awt]
     Definition Classes
       Component

232. #### def requestFocusInWindow(): Boolean

     Definition Classes
       Component

233. #### def resize(arg0: java.awt.Dimension): Unit

     Definition Classes
       Applet → Component

234. #### def resize(arg0: Int, arg1: Int): Unit

     Definition Classes
       Applet → Component

235. #### def setBackground(arg0: java.awt.Color): Unit

     Definition Classes
       Component

236. #### def setBounds(arg0: java.awt.Rectangle): Unit

     Definition Classes
       Component

237. #### def setBounds(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Component

238. #### def setComponentOrientation(arg0: ComponentOrientation): Unit

     Definition Classes
       Component

239. #### def setComponentZOrder(arg0: java.awt.Component, arg1: Int): Unit

     Definition Classes
       Container

240. #### def setContentPane(arg0: java.awt.Container): Unit

     Definition Classes
       JApplet → RootPaneContainer

241. #### def setCursor(arg0: Cursor): Unit

     Definition Classes
       Component

242. #### def setDropTarget(arg0: DropTarget): Unit

     Definition Classes
       Component

243. #### def setEnabled(arg0: Boolean): Unit

     Definition Classes
       Component

244. #### def setFocusCycleRoot(arg0: Boolean): Unit

     Definition Classes
       Container

245. #### def setFocusTraversalKeys(arg0: Int, arg1: Set[_ <: AWTKeyStroke]): Unit

     Definition Classes
       Container → Component

246. #### def setFocusTraversalKeysEnabled(arg0: Boolean): Unit

     Definition Classes
       Component

247. #### def setFocusTraversalPolicy(arg0: FocusTraversalPolicy): Unit

     Definition Classes
       Container

248. #### final def setFocusTraversalPolicyProvider(arg0: Boolean): Unit

     Definition Classes
       Container

249. #### def setFocusable(arg0: Boolean): Unit

     Definition Classes
       Component

250. #### def setFont(arg0: java.awt.Font): Unit

     Definition Classes
       Container → Component

251. #### def setForeground(arg0: java.awt.Color): Unit

     Definition Classes
       Component

252. #### def setGlassPane(arg0: java.awt.Component): Unit

     Definition Classes
       JApplet → RootPaneContainer

253. #### def setIgnoreRepaint(arg0: Boolean): Unit

     Definition Classes
       Component

254. #### def setJMenuBar(arg0: JMenuBar): Unit

     Definition Classes
       JApplet

255. #### def setLayeredPane(arg0: JLayeredPane): Unit

     Definition Classes
       JApplet → RootPaneContainer

256. #### def setLayout(arg0: LayoutManager): Unit

     Definition Classes
       JApplet → Container

257. #### def setLocale(arg0: Locale): Unit

     Definition Classes
       Component

258. #### def setLocation(arg0: java.awt.Point): Unit

     Definition Classes
       Component

259. #### def setLocation(arg0: Int, arg1: Int): Unit

     Definition Classes
       Component

260. #### def setMaximumSize(arg0: java.awt.Dimension): Unit

     Definition Classes
       Component

261. #### def setMinimumSize(arg0: java.awt.Dimension): Unit

     Definition Classes
       Component

262. #### def setName(arg0: String): Unit

     Definition Classes
       Component

263. #### def setPreferredSize(arg0: java.awt.Dimension): Unit

     Definition Classes
       Component

264. #### def setRootPane(arg0: JRootPane): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JApplet

265. #### def setRootPaneCheckingEnabled(arg0: Boolean): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JApplet

266. #### def setSize(arg0: java.awt.Dimension): Unit

     Definition Classes
       Component

267. #### def setSize(arg0: Int, arg1: Int): Unit

     Definition Classes
       Component

268. #### final def setStub(arg0: AppletStub): Unit

     Definition Classes
       Applet

269. #### def setTransferHandler(arg0: TransferHandler): Unit

     Definition Classes
       JApplet

270. #### def setVisible(arg0: Boolean): Unit

     Definition Classes
       Component

271. #### def showStatus(arg0: String): Unit

     Definition Classes
       Applet

272. #### def start(): Unit

     Definition Classes
       Applet → Applet

273. #### def stop(): Unit

     Definition Classes
       Applet → Applet

274. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

275. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Component → AnyRef → Any

276. #### def transferFocus(): Unit

     Definition Classes
       Component

277. #### def transferFocusBackward(): Unit

     Definition Classes
       Container → Component

278. #### def transferFocusDownCycle(): Unit

     Definition Classes
       Container

279. #### def transferFocusUpCycle(): Unit

     Definition Classes
       Component

280. #### def update(arg0: Graphics): Unit

     Definition Classes
       JApplet → Container → Component

281. #### def validate(): Unit

     Definition Classes
       Container → Component

282. #### def validateTree(): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container

283. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

284. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

285. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

286. #### def →[B](y: B): (Applet, B)

     Implicit information
       This member is added by an implicit conversion from Applet to ArrowAssoc[Applet] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Applet to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (applet: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Applet to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (applet: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def action(arg0: Event, arg1: Any): Boolean

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def bounds(): java.awt.Rectangle

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### def countComponents(): Int

   Definition Classes
     Container
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### def deliverEvent(arg0: Event): Unit

   Definition Classes
     Container → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

5. #### def disable(): Unit

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

6. #### def enable(arg0: Boolean): Unit

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

7. #### def enable(): Unit

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

8. #### def getPeer(): ComponentPeer

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

9. #### def gotFocus(arg0: Event, arg1: Any): Boolean

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

10. #### def handleEvent(arg0: Event): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

11. #### def hide(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

12. #### def insets(): java.awt.Insets

    Definition Classes
      Container
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

13. #### def inside(arg0: Int, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

14. #### def isFocusTraversable(): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

15. #### def keyDown(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

16. #### def keyUp(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

17. #### def layout(): Unit

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

18. #### def locate(arg0: Int, arg1: Int): java.awt.Component

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

19. #### def location(): java.awt.Point

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

20. #### def lostFocus(arg0: Event, arg1: Any): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

21. #### def minimumSize(): java.awt.Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

22. #### def mouseDown(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

23. #### def mouseDrag(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

24. #### def mouseEnter(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

25. #### def mouseExit(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

26. #### def mouseMove(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

27. #### def mouseUp(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

28. #### def move(arg0: Int, arg1: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

29. #### def nextFocus(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

30. #### def postEvent(arg0: Event): Boolean

    Definition Classes
      Component → MenuContainer
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

31. #### def preferredSize(): java.awt.Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

32. #### def reshape(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

33. #### def show(arg0: Boolean): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

34. #### def show(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

35. #### def size(): java.awt.Dimension

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

36. #### def x: Applet

    Implicit information
      This member is added by an implicit conversion from Applet to ArrowAssoc[Applet] performed by method any2ArrowAssoc in scala.Predef.
    Shadowing
      This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
      To access this member you can use a type ascription:

          (applet: ArrowAssoc[Applet]).x

    Definition Classes
      ArrowAssoc
    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use `leftOfArrow`instead``

37. #### def x: Applet

    Implicit information
      This member is added by an implicit conversion from Applet to Ensuring[Applet] performed by method any2Ensuring in scala.Predef.
    Shadowing
      This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
      To access this member you can use a type ascription:

          (applet: Ensuring[Applet]).x

    Definition Classes
      Ensuring
    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from JApplet

### Inherited from HasGetTransferHandler

### Inherited from RootPaneContainer

### Inherited from java.applet.Applet

### Inherited from java.awt.Panel

### Inherited from Accessible

### Inherited from java.awt.Container

### Inherited from java.awt.Component

### Inherited from java.io.Serializable

### Inherited from MenuContainer

### Inherited from ImageObserver

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Applet to StringAdd

### Inherited by implicit conversion any2stringfmt from Applet to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Applet to ArrowAssoc[Applet]

### Inherited by implicit conversion any2Ensuring from Applet to Ensuring[Applet]

### Ungrouped